Ultrafast electron experiments usually work with low-emittance few-electron pulsed beams. The structures are usually much larger than the (average) electron pulse size posing challenges to the resolution of simulations. We present the tracking code FemtoTrack, which allows to tackle the these multi-scale challenges in a simple manner. The computationally most heavy interpolation of the fields is treated either by a moving window or by a supplemental grid, leading to a significant speedup. Space charge is treated by direct particle particle interaction within each bunch, where however many bunches can be simulated in the same window simultaneously. This allows to obtain statistics similar to what is obtained on the screen in an experiment. FemtoTrack is applied to two examples: An ultrafast nanotip electron source and a length scalable laser-driven electron accelerator on microchip. In these setups, previous results have been reproduced with tremendous speedup, allowing for parameter scans similar to the tuning of an experiment. 
